Page MenuHomeFreeBSD

[NEW PORT] audio/lv2file: Simple program that apples LV2 effects to audio files
ClosedPublic

Authored by ultima on Aug 17 2017, 5:18 AM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Feb 19, 11:46 PM
Unknown Object (File)
Mon, Feb 19, 11:46 PM
Unknown Object (File)
Mon, Feb 19, 11:42 PM
Unknown Object (File)
Mon, Feb 19, 4:59 PM
Unknown Object (File)
Sun, Jan 28, 10:23 AM
Unknown Object (File)
Jan 15 2024, 12:23 PM
Unknown Object (File)
Dec 23 2023, 11:13 AM
Unknown Object (File)
Dec 22 2023, 8:05 PM
Subscribers

Details

Summary

lv2file is a simple program which you can use to apply effects to your audio
files without much hassle. Possible use cases are:

  • When you want to apply an effect without having to open a GUI or start a project.
  • When you want to apply effects to a large number of files, or in an automated manner.
  • When you need a deterministic environment to debug a plugin.
  • You like everything to be on the command line.

lv2file uses the LV2 plugin format (http://lv2plug.in/) for the effects it uses.

WWW: https://github.com/jeremysalwen/lv2file

PR\: 221214
Submitted by\: Yuri Victorovich (maintainer)
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
looks fine.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

audio/lv2file/Makefile
29 ↗(On Diff #32153)

Never install files by "cat"'ing them in place.

Also, man pages will be automatically compressed later if needs be. So this should probably be:

${INSTALL_MAN} ${WRKSRC}/debian/lv2file.1 ${STAGEDIR}${MAN1PREFIX}/man/man1

So long as you apply the INSTALL_MAN fix mat mentions, then this

lgtm

This revision is now accepted and ready to land.Aug 17 2017, 5:53 PM
audio/lv2file/Makefile
29 ↗(On Diff #32153)

Interesting, did not know INSTALL_MAN also compressed.

This revision was automatically updated to reflect the committed changes.
audio/lv2file/Makefile
29 ↗(On Diff #32153)

It does not, there is a compress-man target in Mk/bsd.port.mk that takes care of compressing the man pages that are not already compressed.